/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling';
@import 'css/_variables';

p,
h1,
h2,
h3,
h4,
h5 {
  padding: 0;
  margin: 0;
}

.navbar {
  position: sticky;
  top: 0;
  left: 0;
  padding: 12px 24px 18px;
  background: #ffffff;
  box-shadow: 0 2px 2px rgba(0, 0, 0, 0.15);
  width: 100%;
  height: $header-height;
  z-index: 1;

  @include respond(laptop) {
    padding: 0;
  }
}

.mobile {
  display: flex;
  align-items: center;
  @include respond(laptop) {
    display: none;
  }

  .navbar__logo--mobile {
    margin: auto auto;
    @include respond(laptop) {
      display: none;
    }
  }

  &__overlay {
    top: 0;
    left: 0;
    z-index: 1;
    position: fixed;
    display: none;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    &.--visible {
      display: block;
    }
  }

  &__menu {
    z-index: 2;
    position: fixed;
    left: 0;
    top: 0;
    background: white;
    height: 100%;
    overflow: hidden;
    width: 0;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;

    &__header {
      display: flex;
      justify-content: space-between;
      align-items: center;
      height: $header-height;
      padding-inline: 1.4375rem;
    }
    &.--visible {
      width: 80%;
    }
    &__body {
      padding-block: 1.625rem;
      padding-inline: 1.4375rem;
      ul {
        list-style: none;
        padding: 0;
      }
    }
    &__button {
      padding: 0;
      span {
        @include primary-text(1.25rem, $coa-primary, 600);
      }
    }
  }

  &__icon {
    font-size: 1.2rem;
    &.--blue {
      color: $coa-blue-100;
    }
    &.--gray {
      color: $coa-grey-100;
    }
  }
}

.desktop {
  display: none;
  @include respond(laptop) {
    display: flex;
    justify-content: space-between;
  }
  .navbar__logo--desktop {
    display: none;
    @include respond(laptop) {
      display: flex;
      align-items: center;
      margin-left: 1.625rem;
    }
    img {
      height: 2.375rem;
    }
  }

  .navbar__dropdown {
    position: absolute;
    bottom: -54px;
    padding: 10px;
    align-items: center;
    background-color: #fff;
    &.--visible {
      display: flex;
    }
    &.--hidden {
      display: none;
    }
  }
  .navbar__dropdown__mask {
    height: 100vh;
    width: 100vw;
    left: 0;
    top: 0;
    position: fixed;
  }
  .navbar__dropdown__icon {
    margin-right: 12px;
  }
  .navbar__dropdown__logout {
    color: $coa-grey-100;
  }
  .navbar__login__wrapper {
    display: flex;
    align-items: center;
    height: 60px;
    width: 120px;
  }
  .navbar__login__button {
    border: none;
    border-left: solid 1px #e5e6ed;
    color: $coa-primary;
    font-weight: 700;
    font-size: 17px;
  }

  .navbar__right {
    height: 60px;
    display: flex;
    .navbar__right__items {
      display: flex;
      position: relative;
    }

    .navbar__right__profile {
      width: 300px;
      display: flex;
      cursor: pointer;
      align-items: center;
      background: #f3f4fb;

      .navbar__user__avatar {
        margin: 0 30px 0 40px;

        img {
          border-radius: 50%;
          height: 40px;
          width: 40px;
        }
      }

      .navbar__user {
        display: flex;
        justify-content: space-around;
        align-items: center;
        width: 120px;
        position: relative;

        .user__details {
          font-family: 'Rubik', serif;
          font-style: normal;
          font-weight: 400;
          width: 100%;
          text-align: right;

          h2 {
            line-height: 14px;
            color: #000;
            font-size: 12px;
          }

          span {
            font-size: 10px;
            color: #728099;
            letter-spacing: -0.084px;
          }
        }

        .dropdown {
          margin-left: 10px;
          img {
            width: 10px;
            height: 10px;
          }
        }
      }
    }
  }

  .login--btn {
    @include respond(laptop) {
      display: flex;
    }
    background-color: $light-gray;
    width: 185px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;

    a {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 10px;
      text-decoration: none;

      span {
        font-family: 'Rubik', serif;
        font-style: normal;
        font-weight: 700;
        font-size: 14px;
        line-height: 17px;
        color: $light-gray;
      }
    }
  }
}
